* cd "C:\Shazam\AER"
log using "vc-RIN-out-26-1-15", replace
* AER VC model and CIs
* using AU only data
version 11
clear
set more off
set maxiter 200
import excel "DNSPData AusNZOnt 16Oct2014x.xlsx", sheet("DNSPAU") firstrow
summarize

generate DNSP=0
replace DNSP=int(EIID/100) 

xtset DNSP Year

* adjust to calendar year
generate yr=Year
replace yr=yr+0.5 if DNSP==3
replace yr=yr+0.5 if DNSP==8
replace yr=yr+0.5 if DNSP==9
replace yr=yr+0.5 if DNSP==11
replace yr=yr+0.5 if DNSP==13

* adjust base to 2012
replace PrOpex=PrOpex/1.242220559 

generate vc=Opex/PrOpex
generate lvc=log(vc)

generate ly1=log(Energy)
generate ly2=log(CustNum)
generate ly3=log(CircLen)
generate ly4=log(RMDemand)

generate z1=ShareUGC
generate z2=ShareSST
generate z3=CustMOS
generate z4=SAIDI
generate z5=Len66kVP

generate cap=DistTran 

generate lz1=log(z1)
generate lz2=log(z2)
generate lz3=log(z3)
generate lz4=log(z4)

*generate lcap=log(cap)
*generate lcap=log(DistTran)

* mean correct output data
qui reg ly1
predict mly1
replace ly1=ly1-mly1
qui reg ly2
predict mly2
replace ly2=ly2-mly2
qui reg ly3
predict mly3
replace ly3=ly3-mly3
qui reg ly4
predict mly4
replace ly4=ly4-mly4

* models with 3 outputs:

regress lvc ly2-ly4 lz1 yr

log close
